name: boot
version: 3.3.0
prerelease: -SNAPSHOT
title: Spring Boot
nav:
- nav.adoc
asciidoc:
  attributes:
    github-repo: spring-projects/spring-boot
    github-ref: main
    version-activemq: 6.1.2
    version-angus-mail: 2.0.3
    version-artemis: 2.33.0
    version-aspectj: 1.9.22
    version-assertj: 3.25.3
    version-awaitility: 4.2.1
    version-zipkin-reporter: 3.4.0
    version-brave: 6.0.3
    version-build-helper-maven-plugin: 3.5.0
    version-byte-buddy: 1.14.13
    version-cache2k: 2.6.1.Final
    version-caffeine: 3.1.8
    version-cassandra-driver: 4.18.0
    version-classmate: 1.7.0
    version-commons-codec: 1.16.1
    version-commons-dbcp2: 2.12.0
    version-commons-lang3: 3.14.0
    version-commons-pool: '1.6'
    version-commons-pool2: 2.12.0
    version-couchbase-client: 3.6.1
    version-crac: 1.4.0
    version-cyclonedx-maven-plugin: 2.8.0
    version-db2-jdbc: 11.5.9.0
    version-dependency-management-plugin: 1.1.4
    version-derby: 10.16.1.1
    version-ehcache3: 3.10.8
    version-elasticsearch-client: 8.13.2
    version-flyway: 10.10.0
    version-freemarker: 2.3.32
    version-git-commit-id-maven-plugin: 8.0.2
    version-glassfish-jaxb: 4.0.5
    version-glassfish-jstl: 3.0.1
    version-graphql-java: '21.5'
    version-groovy: 4.0.21
    version-gson: 2.10.1
    version-h2: 2.2.224
    version-hamcrest: '2.2'
    version-hazelcast: 5.4.0
    version-hibernate: 6.5.0.CR2
    version-hibernate-validator: 8.0.1.Final
    version-hikaricp: 5.1.0
    version-hsqldb: 2.7.2
    version-htmlunit: 2.70.0
    version-httpasyncclient: 4.1.5
    version-httpclient5: 5.3.1
    version-httpcore: 4.4.16
    version-httpcore5: 5.2.4
    version-infinispan: 15.0.1.Final
    version-influxdb-java: '2.24'
    version-jackson-bom: 2.17.0
    version-jakarta-activation: 2.1.3
    version-jakarta-annotation: 2.1.1
    version-jakarta-inject: 2.0.1
    version-jakarta-jms: 3.1.0
    version-jakarta-json: 2.1.3
    version-jakarta-json-bind: 3.0.1
    version-jakarta-mail: 2.1.3
    version-jakarta-management: 1.1.4
    version-jakarta-persistence: 3.1.0
    version-jakarta-servlet: 6.0.0
    version-jakarta-servlet-jsp-jstl: 3.0.0
    version-jakarta-transaction: 2.0.1
    version-jakarta-validation: 3.0.2
    version-jakarta-websocket: 2.1.1
    version-jakarta-ws-rs: 3.1.0
    version-jakarta-xml-bind: 4.0.2
    version-jakarta-xml-soap: 3.0.1
    version-jakarta-xml-ws: 4.0.1
    version-janino: 3.1.12
    version-javax-cache: 1.1.1
    version-javax-money: '1.1'
    version-jaxen: 2.0.0
    version-jaybird: 5.0.4.java11
    version-jboss-logging: 3.5.3.Final
    version-jdom2: 2.0.6.1
    version-jedis: 5.0.2
    version-jersey: 3.1.6
    version-jetty-reactive-httpclient: 4.0.3
    version-jetty: 12.0.8
    version-jmustache: '1.16'
    version-jooq: 3.19.7
    version-json-path: 2.9.0
    version-jsonsmart: 2.5.1
    version-jsonassert: 1.5.1
    version-jtds: 1.3.1
    version-junit: 4.13.2
    version-junit-jupiter: 5.10.2
    version-kafka: 3.7.0
    version-kotlin: 1.9.23
    version-kotlin-coroutines: 1.8.0
    version-kotlin-serialization: 1.6.3
    version-lettuce: 6.3.2.RELEASE
    version-liquibase: 4.27.0
    version-log4j2: 2.23.1
    version-logback: 1.5.6
    version-lombok: 1.18.32
    version-mariadb: 3.3.3
    version-maven-antrun-plugin: 3.1.0
    version-maven-assembly-plugin: 3.7.1
    version-maven-clean-plugin: 3.3.2
    version-maven-compiler-plugin: 3.13.0
    version-maven-dependency-plugin: 3.6.1
    version-maven-deploy-plugin: 3.1.1
    version-maven-enforcer-plugin: 3.4.1
    version-maven-failsafe-plugin: 3.2.5
    version-maven-help-plugin: 3.4.0
    version-maven-install-plugin: 3.1.1
    version-maven-invoker-plugin: 3.6.1
    version-maven-jar-plugin: 3.4.0
    version-maven-javadoc-plugin: 3.6.3
    version-maven-resources-plugin: 3.3.1
    version-maven-shade-plugin: 3.5.2
    version-maven-source-plugin: 3.3.1
    version-maven-surefire-plugin: 3.2.5
    version-maven-war-plugin: 3.4.0
    version-micrometer: 1.13.0-RC1
    version-micrometer-tracing: 1.3.0-RC1
    version-mockito: 5.11.0
    version-mongodb: 5.0.1
    version-mssql-jdbc: 12.6.1.jre11
    version-mysql: 8.3.0
    version-native-build-tools-plugin: 0.10.1
    version-nekohtml: 1.9.22
    version-neo4j-java-driver: 5.19.0
    version-netty: 4.1.109.Final
    version-okhttp: 4.12.0
    version-opentelemetry: 1.37.0
    version-oracle-database: 21.9.0.0
    version-oracle-r2dbc: 1.2.0
    version-pooled-jms: 3.1.5
    version-postgresql: 42.7.3
    version-prometheus-client: 1.2.1
    version-prometheus-simpleclient: 0.16.0
    version-pulsar: 3.2.2
    version-pulsar-reactive: 0.5.4
    version-quartz: 2.3.2
    version-querydsl: 5.1.0
    version-r2dbc-h2: 1.0.0.RELEASE
    version-r2dbc-mariadb: 1.2.0
    version-r2dbc-mssql: 1.0.2.RELEASE
    version-r2dbc-mysql: 1.1.3
    version-r2dbc-pool: 1.0.1.RELEASE
    version-r2dbc-postgresql: 1.0.5.RELEASE
    version-r2dbc-proxy: 1.1.4.RELEASE
    version-r2dbc-spi: 1.0.0.RELEASE
    version-rabbit-amqp-client: 5.21.0
    version-rabbit-stream-client: 0.15.0
    version-reactive-streams: 1.0.4
    version-reactor-bom: 2023.0.5
    version-rest-assured: 5.4.0
    version-rsocket: 1.1.3
    version-rxjava3: 3.1.8
    version-spring-boot: 3.3.0-SNAPSHOT
    version-saaj-impl: 3.0.3
    version-selenium: 4.19.1
    version-selenium-htmlunit: 4.13.0
    version-sendgrid: 4.10.2
    version-slf4j: 2.0.13
    version-snakeyaml: '2.2'
    version-spring-amqp: 3.1.4
    version-spring-authorization-server: 1.3.0-RC1
    version-spring-batch: 5.1.1
    version-spring-data: 2024.0.0-RC1
    version-spring-framework: 6.1.6
    version-spring-graphql: 1.3.0-RC1
    version-spring-hateoas: 2.3.0-RC1
    version-spring-integration: 6.3.0-RC1
    version-spring-kafka: 3.2.0-RC1
    version-spring-ldap: 3.2.3
    version-spring-pulsar: 1.1.0-RC1
    version-spring-restdocs: 3.0.1
    version-spring-retry: 2.0.5
    version-spring-security: 6.3.0-RC1
    version-spring-session: 3.3.0-RC1
    version-spring-webservices: 4.0.10
    version-sqlite-jdbc: 3.45.3.0
    version-testcontainers: 1.19.7
    version-thymeleaf: 3.1.2.RELEASE
    version-thymeleaf-extras-data-attribute: 2.0.1
    version-thymeleaf-extras-springsecurity: 3.1.2.RELEASE
    version-thymeleaf-layout-dialect: 3.3.0
    version-tomcat: 10.1.20
    version-unboundid-ldapsdk: 6.0.11
    version-undertow: 2.3.12.Final
    version-versions-maven-plugin: 2.16.2
    version-webjars-locator-core: '0.58'
    version-wsdl4j: 1.6.3
    version-xml-maven-plugin: 1.1.0
    version-xmlunit2: 2.9.1
    version-yasson: 3.0.3
    version-native-build-tools: 0.10.1
    version-graal: '22.3'
    version-spring-data-commons: 3.3.0-RC1
    version-spring-data-couchbase: 5.3.0-RC1
    version-spring-data-elasticsearch: 5.3.0-RC1
    version-spring-data-jdbc: 3.3.0-RC1
    version-spring-data-jpa: 3.3.0-RC1
    version-spring-data-mongodb: 4.3.0-RC1
    version-spring-data-neo4j: 7.3.0-RC1
    version-spring-data-r2dbc: 3.3.0-RC1
    version-spring-data-rest: 4.3.0-RC1
    url-artifact-repository: https://repo.spring.io/snapshot
    url-activemq-docs: https://activemq.apache.org/components/classic/documentation
    url-activemq-releaseNotes: https://activemq.apache.org/components/classic/download/classic-06-01-02
    url-activemq-site: https://activemq.apache.org
    url-angus-mail-releaseNotes: https://github.com/eclipse-ee4j/angus-mail/releases/tag/2.0.3
    url-angus-mail-site: https://github.com/eclipse-ee4j/angus-mail
    url-artemis-releaseNotes: https://activemq.apache.org/components/artemis/download/release-notes-2.33.0
    url-artemis-site: https://activemq.apache.org/components/artemis
    url-aspectj-releaseNotes: https://github.com/eclipse-aspectj/aspectj/blob/master/docs/release/README-1.9.22.adoc
    url-aspectj-site: https://eclipse.dev/aspectj
    url-assertj-releaseNotes: https://github.com/assertj/assertj/releases/tag/assertj-build-3.25.3
    url-assertj-site: https://assertj.github.io/doc/
    url-awaitility-releaseNotes: https://github.com/awaitility/awaitility/wiki/ReleaseNotes4.2
    url-zipkin-reporter-releaseNotes: https://github.com/openzipkin/zipkin-reporter-java/releases/tag/3.4.0
    url-zipkin-reporter-site: https://github.com/openzipkin/zipkin-reporter-java
    url-brave-releaseNotes: https://github.com/openzipkin/brave/releases/tag/6.0.3
    url-brave-site: https://github.com/openzipkin/brave
    url-build-helper-maven-plugin-releaseNotes: https://github.com/mojohaus/build-helper-maven-plugin/releases/tag/3.5.0
    url-build-helper-maven-plugin-site: https://www.mojohaus.org/build-helper-maven-plugin
    url-byte-buddy-docs: https://bytebuddy.net/#/tutorial
    url-byte-buddy-releaseNotes: https://github.com/raphw/byte-buddy/releases/tag/byte-buddy-1.14.13
    url-byte-buddy-site: https://bytebuddy.net/
    url-cache2k-releaseNotes: https://github.com/cache2k/cache2k/releases/tag/v2.6.1.Final
    url-cache2k-site: https://cache2k.org
    url-caffeine-docs: https://github.com/ben-manes/caffeine/wiki
    url-caffeine-releaseNotes: https://github.com/ben-manes/caffeine/releases/tag/v3.1.8
    url-caffeine-site: https://github.com/ben-manes/caffeine
    url-cassandra-driver-releaseNotes: https://docs.datastax.com/en/developer/java-driver/4.18/changelog/#4-18-0
    url-cassandra-driver-site: https://docs.datastax.com/en/developer/java-driver/4.18/
    url-classmate-site: https://github.com/FasterXML/java-classmate
    url-commons-codec-releaseNotes: https://commons.apache.org/proper/commons-codec/changes-report.html#a1.16.1
    url-commons-codec-site: https://commons.apache.org/proper/commons-codec
    url-commons-dbcp2-site: https://commons.apache.org/proper/commons-dbcp
    url-commons-lang3-site: https://commons.apache.org/proper/commons-lang
    url-commons-pool2-site: https://commons.apache.org/proper/commons-pool
    url-couchbase-client-site: https://docs.couchbase.com/java-sdk/current/hello-world/overview.html
    url-dependency-management-plugin-docs: https://docs.spring.io/dependency-management-plugin/docs/1.1.4/reference/html/
    url-dependency-management-plugin-releaseNotes: https://github.com/spring-gradle-plugins/dependency-management-plugin/releases/tag/v1.1.4
    url-dependency-management-plugin-site: https://github.com/spring-gradle-plugins/dependency-management-plugin
    url-ehcache3-releaseNotes: https://github.com/ehcache/ehcache3/releases/tag/v3.10.8
    url-ehcache3-site: https://www.ehcache.org/
    url-elasticsearch-client-releaseNotes: https://www.elastic.co/guide/en/elasticsearch/reference/current/release-notes-8.13.2.html
    url-flyway-site: https://documentation.red-gate.com/flyway
    url-freemarker-releaseNotes: https://freemarker.apache.org/docs/versions_2_3_32.html
    url-freemarker-site: https://freemarker.apache.org
    url-git-commit-id-maven-plugin-releaseNotes: https://github.com/git-commit-id/git-commit-id-maven-plugin/releases/tag/v8.0.2
    url-git-commit-id-maven-plugin-site: https://github.com/git-commit-id/git-commit-id-maven-plugin
    url-graphql-java-releaseNotes: https://github.com/graphql-java/graphql-java/releases/tag/v21.5
    url-graphql-java-site: https://www.graphql-java.com/
    url-groovy-site: https://groovy-lang.org
    url-gson-releaseNotes: https://github.com/google/gson/releases/tag/gson-parent-2.10.1
    url-gson-site: https://github.com/google/gson
    url-h2-releaseNotes: https://github.com/h2database/h2database/releases/tag/version-2.2.224
    url-h2-site: https://www.h2database.com
    url-hazelcast-releaseNotes: https://github.com/hazelcast/hazelcast/releases/tag/v5.4.0
    url-hazelcast-site: https://hazelcast.com
    url-hibernate-docs: https://hibernate.org/orm/documentation/6.5
    url-hibernate-javadoc: https://docs.jboss.org/hibernate/orm/6.5/javadocs
    url-hibernate-releaseNotes: https://github.com/hibernate/hibernate-orm/releases/tag/6.5.0.CR2
    url-hibernate-site: https://hibernate.org/orm
    url-hibernate-userguide: https://docs.jboss.org/hibernate/orm/6.5/userguide/html_single/Hibernate_User_Guide.html
    url-htmlunit-releaseNotes: https://github.com/HtmlUnit/htmlunit/releases/tag/2.70.0
    url-htmlunit-site: https://www.htmlunit.org
    url-infinispan-releaseNotes: https://github.com/infinispan/infinispan/releases/tag/15.0.1.Final
    url-infinispan-site: https://infinispan.org/
    url-influxdb-java-releaseNotes: https://github.com/influxdata/influxdb-java/releases/tag/influxdb-java-2.24
    url-influxdb-java-site: https://github.com/influxdata/influxdb-java
    url-jakarta-activation-releaseNotes: https://github.com/jakartaee/jaf-api/releases/tag/2.1.3
    url-jakarta-activation-site: https://github.com/jakartaee/jaf-api
    url-jakarta-mail-releaseNotes: https://github.com/jakartaee/mail-api/releases/tag/2.1.3
    url-jakarta-mail-site: https://github.com/jakartaee/mail-api
    url-jedis-releaseNotes: https://github.com/redis/jedis/releases/tag/v5.0.2
    url-jedis-site: https://github.com/redis/jedis
    url-jersey-releaseNotes: https://github.com/eclipse-ee4j/jersey/releases/tag/3.1.6
    url-jersey-site: https://github.com/eclipse-ee4j/jersey
    url-jetty-releaseNotes: https://github.com/jetty/jetty.project/releases/tag/jetty-12.0.8
    url-jetty-site: https://eclipse.dev/jetty
    url-jooq-docs: https://www.jooq.org/doc/3.19.7/manual-single-page
    url-jooq-releaseNotes: https://github.com/jOOQ/jOOQ/releases/tag/version-3.19.7
    url-jooq-site: https://www.jooq.org
    url-json-path-releaseNotes: https://github.com/json-path/JsonPath/releases/tag/json-path-2.9.0
    url-json-path-site: https://github.com/json-path/JsonPath
    url-jsonsmart-releaseNotes: https://github.com/netplex/json-smart-v2/releases/tag/2.5.1
    url-jsonsmart-site: https://github.com/netplex/json-smart-v2
    url-jsonassert-releaseNotes: https://github.com/skyscreamer/JSONassert/releases/tag/jsonassert-1.5.1
    url-jsonassert-site: https://github.com/skyscreamer/JSONassert
    url-junit-jupiter-docs: https://junit.org/junit5/docs/5.10.2/user-guide
    url-junit-jupiter-javadoc: https://junit.org/junit5/docs/5.10.2/api
    url-junit-jupiter-releaseNotes: https://junit.org/junit5/docs/5.10.2/release-notes
    url-junit-jupiter-site: https://junit.org/junit5
    url-kafka-releaseNotes: https://downloads.apache.org/kafka/3.7.0/RELEASE_NOTES.html
    url-kafka-site: https://kafka.apache.org
    url-kotlin-docs: https://kotlinlang.org/docs/reference
    url-kotlin-releaseNotes: https://github.com/JetBrains/kotlin/releases/tag/v1.9.23
    url-kotlin-site: https://kotlinlang.org/
    url-kotlin-coroutines-releaseNotes: https://github.com/Kotlin/kotlinx.coroutines/releases/tag/1.8.0
    url-kotlin-coroutines-site: https://github.com/Kotlin/kotlinx.coroutines
    url-kotlin-serialization-releaseNotes: https://github.com/Kotlin/kotlinx.serialization/releases/tag/v1.6.3
    url-kotlin-serialization-site: https://github.com/Kotlin/kotlinx.serialization
    url-lettuce-docs: https://lettuce.io/core/6.3.2.RELEASE/reference/index.html
    url-lettuce-releaseNotes: https://github.com/lettuce-io/lettuce-core/releases/tag/6.3.2.RELEASE
    url-lettuce-site: https://github.com/lettuce-io/lettuce-core
    url-liquibase-releaseNotes: https://github.com/liquibase/liquibase/releases/tag/v4.27.0
    url-liquibase-site: https://www.liquibase.com
    url-log4j2-releaseNotes: https://github.com/apache/logging-log4j2/releases/tag/rel%2F2.23.1
    url-log4j2-site: https://logging.apache.org/log4j
    url-logback-site: https://logback.qos.ch
    url-lombok-site: https://projectlombok.org
    url-mariadb-releaseNotes: https://mariadb.com/kb/en/mariadb-connector-j-3-3-3-release-notes/
    url-mariadb-site: https://mariadb.com/kb/en/mariadb-connector-j/
    url-micrometer-docs: https://docs.micrometer.io/micrometer/reference/1.13
    url-micrometer-releaseNotes: https://github.com/micrometer-metrics/micrometer/releases/tag/v1.13.0-RC1
    url-micrometer-site: https://micrometer.io
    url-micrometer-tracing-docs: https://docs.micrometer.io/tracing/reference/1.3
    url-micrometer-tracing-releaseNotes: https://github.com/micrometer-metrics/tracing/releases/tag/v1.3.0-RC1
    url-micrometer-tracing-site: https://micrometer.io
    url-mockito-releaseNotes: https://github.com/mockito/mockito/releases/tag/v5.11.0
    url-mockito-site: https://site.mockito.org/
    url-mongodb-releaseNotes: https://github.com/mongodb/mongo-java-driver/releases/tag/r5.0.1
    url-mongodb-site: https://github.com/mongodb/mongo-java-driver
    url-mssql-jdbc-releaseNotes: https://github.com/microsoft/mssql-jdbc/releases/tag/v12.6.1
    url-mssql-jdbc-site: https://github.com/microsoft/mssql-jdbc
    url-native-build-tools-plugin-releaseNotes: https://github.com/graalvm/native-build-tools/releases/tag/0.10.1
    url-native-build-tools-plugin-site: https://github.com/graalvm/native-build-tools
    url-neo4j-java-driver-releaseNotes: https://github.com/neo4j/neo4j-java-driver/releases/tag/5.19.0
    url-neo4j-java-driver-site: https://github.com/neo4j/neo4j-java-driver
    url-netty-site: https://netty.io
    url-opentelemetry-releaseNotes: https://github.com/open-telemetry/opentelemetry-java/releases/tag/v1.37.0
    url-opentelemetry-site: https://github.com/open-telemetry/opentelemetry-java
    url-postgresql-releaseNotes: https://github.com/pgjdbc/pgjdbc/releases/tag/REL42.7.3
    url-postgresql-site: https://github.com/pgjdbc/pgjdbc
    url-prometheus-client-releaseNotes: https://github.com/prometheus/client_java/releases/tag/parent-1.2.1
    url-prometheus-client-site: https://github.com/prometheus/client_java
    url-prometheus-simpleclient-releaseNotes: https://github.com/prometheus/client_java/releases/tag/parent-0.16.0
    url-prometheus-simpleclient-site: https://github.com/prometheus/client_java
    url-pulsar-docs: https://pulsar.apache.org/docs/3.2.x
    url-pulsar-releaseNotes: https://pulsar.apache.org/release-notes/versioned/pulsar-3.2.2
    url-pulsar-site: https://pulsar.apache.org
    url-pulsar-reactive-releaseNotes: https://github.com/apache/pulsar-client-reactive/releases/tag/v0.5.4
    url-pulsar-reactive-site: https://github.com/apache/pulsar-client-reactive
    url-quartz-site: https://github.com/quartz-scheduler/quartz
    url-querydsl-releaseNotes: https://github.com/querydsl/querydsl/releases/tag/QUERYDSL_5_1_0
    url-querydsl-site: https://github.com/querydsl/querydsl
    url-r2dbc-pool-releaseNotes: https://github.com/r2dbc/r2dbc-pool/releases/tag/v1.0.1.RELEASE
    url-r2dbc-pool-site: https://github.com/r2dbc/r2dbc-pool
    url-rabbit-amqp-client-releaseNotes: https://github.com/rabbitmq/rabbitmq-java-client/releases/tag/v5.21.0
    url-rabbit-amqp-client-site: https://github.com/rabbitmq/rabbitmq-java-client
    url-rabbit-stream-client-releaseNotes: https://github.com/rabbitmq/rabbitmq-stream-java-client/releases/tag/v0.15.0
    url-rabbit-stream-client-site: https://github.com/rabbitmq/rabbitmq-stream-java-client
    url-reactor-bom-releaseNotes: https://github.com/reactor/reactor/releases/tag/2023.0.5
    url-reactor-bom-site: https://projectreactor.io/
    url-rsocket-releaseNotes: https://github.com/rsocket/rsocket-java/releases/tag/1.1.3
    url-rsocket-site: https://github.com/rsocket/rsocket-java
    url-spring-boot-docs: https://docs.spring.io/spring-boot/docs/3.3.0-SNAPSHOT/reference/htmlsingle
    url-spring-boot-github: https://github.com/spring-projects/spring-boot
    url-spring-boot-javadoc: https://docs.spring.io/spring-boot/docs/3.3.0-SNAPSHOT/api
    url-spring-boot-layers-xsd: 'layers-xsd: https://www.springframework.org/schema/boot/layers/layers-3.3.xsd'
    url-spring-boot-releaseNotes: https://github.com/spring-projects/spring-boot/releases/tag/v3.3.0-SNAPSHOT
    url-spring-boot-site: https://spring.io/projects/spring-boot
    url-selenium-releaseNotes: https://github.com/SeleniumHQ/selenium/releases/tag/selenium-4.19.1
    url-selenium-site: https://www.selenium.dev
    url-selenium-htmlunit-releaseNotes: https://github.com/SeleniumHQ/htmlunit-driver/releases/tag/htmlunit-driver-4.13.0
    url-selenium-htmlunit-site: https://github.com/SeleniumHQ/htmlunit-driver
    url-sendgrid-releaseNotes: https://github.com/sendgrid/sendgrid-java/releases/tag/4.10.2
    url-sendgrid-site: https://github.com/sendgrid/sendgrid-java
    url-spring-amqp-docs: https://docs.spring.io/spring-amqp/reference/3.1.4
    url-spring-amqp-github: https://github.com/spring-projects/spring-amqp
    url-spring-amqp-javadoc: https://docs.spring.io/spring-amqp/docs/3.1.4/api
    url-spring-amqp-releaseNotes: https://github.com/spring-projects/spring-amqp/releases/tag/v3.1.4
    url-spring-amqp-site: https://spring.io/projects/spring-amqp
    url-spring-authorization-server-docs: https://docs.spring.io/spring-authorization-server/reference/1.3
    url-spring-authorization-server-github: https://github.com/spring-projects/spring-authorization-server
    url-spring-authorization-server-javadoc: https://docs.spring.io/spring-authorization-server/docs/1.3.0-RC1/api
    url-spring-authorization-server-releaseNotes: https://github.com/spring-projects/spring-authorization-server/releases/tag/1.3.0-RC1
    url-spring-authorization-server-site: https://spring.io/projects/spring-authorization-server
    url-spring-batch-docs: https://docs.spring.io/spring-batch/reference/5.1
    url-spring-batch-github: https://github.com/spring-projects/spring-batch
    url-spring-batch-javadoc: https://docs.spring.io/spring-batch/docs/5.1.1/api
    url-spring-batch-releaseNotes: https://github.com/spring-projects/spring-batch/releases/tag/v5.1.1
    url-spring-batch-site: https://spring.io/projects/spring-batch
    url-spring-data-github: https://github.com/spring-projects/spring-data-bom
    url-spring-data-releaseNotes: https://github.com/spring-projects/spring-data-bom/releases/tag/2024.0.0-RC1
    url-spring-data-site: https://spring.io/projects/spring-data
    url-spring-framework-docs: https://docs.spring.io/spring-framework/reference/6.1.6
    url-spring-framework-github: https://github.com/spring-projects/spring-framework
    url-spring-framework-javadoc: https://docs.spring.io/spring-framework/docs/6.1.6/javadoc-api
    url-spring-framework-releaseNotes: https://github.com/spring-projects/spring-framework/releases/tag/v6.1.6
    url-spring-framework-site: https://spring.io/projects/spring-framework
    url-spring-graphql-docs: https://docs.spring.io/spring-graphql/reference/1.3
    url-spring-graphql-github: https://github.com/spring-projects/spring-graphql
    url-spring-graphql-javadoc: https://docs.spring.io/spring-graphql/docs/1.3.0-RC1/api
    url-spring-graphql-releaseNotes: https://github.com/spring-projects/spring-graphql/releases/tag/v1.3.0-RC1
    url-spring-graphql-site: https://spring.io/projects/spring-graphql
    url-spring-hateoas-docs: https://docs.spring.io/spring-hateoas/docs/2.3.0-RC1/reference/html
    url-spring-hateoas-github: https://github.com/spring-projects/spring-hateoas
    url-spring-hateoas-javadoc: https://docs.spring.io/spring-hateoas/docs/2.3.0-RC1/api
    url-spring-hateoas-releaseNotes: https://github.com/spring-projects/spring-hateoas/releases/tag/2.3.0-RC1
    url-spring-hateoas-site: https://spring.io/projects/spring-hateoas
    url-spring-integration-docs: https://docs.spring.io/spring-integration/reference/6.3
    url-spring-integration-github: https://github.com/spring-projects/spring-integration
    url-spring-integration-javadoc: https://docs.spring.io/spring-integration/docs/6.3.0-RC1/api
    url-spring-integration-releaseNotes: https://github.com/spring-projects/spring-integration/releases/tag/v6.3.0-RC1
    url-spring-integration-site: https://spring.io/projects/spring-integration
    url-spring-kafka-docs: https://docs.spring.io/spring-kafka/reference/3.2
    url-spring-kafka-github: https://github.com/spring-projects/spring-kafka
    url-spring-kafka-javadoc: https://docs.spring.io/spring-kafka/docs/3.2.0-RC1/api
    url-spring-kafka-releaseNotes: https://github.com/spring-projects/spring-kafka/releases/tag/v3.2.0-RC1
    url-spring-kafka-site: https://spring.io/projects/spring-kafka
    url-spring-ldap-docs: https://docs.spring.io/spring-ldap/reference/3.2.3
    url-spring-ldap-github: https://github.com/spring-projects/spring-ldap
    url-spring-ldap-javadoc: https://docs.spring.io/spring-ldap/docs/3.2.3/api
    url-spring-ldap-releaseNotes: https://github.com/spring-projects/spring-ldap/releases/tag/3.2.3
    url-spring-ldap-site: https://spring.io/projects/spring-ldap
    url-spring-pulsar-docs: https://docs.spring.io/spring-pulsar/docs/1.1.0-RC1/reference
    url-spring-pulsar-github: https://github.com/spring-projects/spring-pulsar
    url-spring-pulsar-javadoc: https://docs.spring.io/spring-pulsar/docs/1.1.0-RC1/api/
    url-spring-pulsar-releaseNotes: https://github.com/spring-projects/spring-pulsar/releases/tag/v1.1.0-RC1
    url-spring-pulsar-site: https://spring.io/projects/spring-pulsar
    url-spring-restdocs-docs: https://docs.spring.io/spring-restdocs/docs/3.0.1/reference/htmlsingle/
    url-spring-restdocs-github: https://github.com/spring-projects/spring-restdocs
    url-spring-restdocs-javadoc: https://docs.spring.io/spring-restdocs/docs/3.0.1/api/
    url-spring-restdocs-releaseNotes: https://github.com/spring-projects/spring-restdocs/releases/tag/v3.0.1
    url-spring-restdocs-site: https://spring.io/projects/spring-restdocs
    url-spring-retry-releaseNotes: https://github.com/spring-projects/spring-retry/releases/tag/v2.0.5
    url-spring-retry-site: https://github.com/spring-projects/spring-retry
    url-spring-security-docs: https://docs.spring.io/spring-security/reference/6.3
    url-spring-security-github: https://github.com/spring-projects/spring-security
    url-spring-security-javadoc: https://docs.spring.io/spring-security/site/docs/6.3.0-RC1/api
    url-spring-security-releaseNotes: https://github.com/spring-projects/spring-security/releases/tag/6.3.0-RC1
    url-spring-security-site: https://spring.io/projects/spring-security
    url-spring-session-docs: https://docs.spring.io/spring-session/reference/3.3
    url-spring-session-github: https://github.com/spring-projects/spring-session
    url-spring-session-javadoc: https://docs.spring.io/spring-session/docs/3.3.0-RC1/api
    url-spring-session-releaseNotes: https://github.com/spring-projects/spring-session/releases/tag/3.3.0-RC1
    url-spring-session-site: https://spring.io/projects/spring-session
    url-spring-webservices-docs: https://docs.spring.io/spring-ws/docs/4.0.10/reference/html
    url-spring-webservices-github: https://github.com/spring-projects/spring-ws
    url-spring-webservices-javadoc: https://docs.spring.io/spring-ws/docs/4.0.10/api
    url-spring-webservices-releaseNotes: https://github.com/spring-projects/spring-ws/releases/tag/v4.0.10
    url-spring-webservices-site: https://spring.io/projects/spring-ws
    url-sqlite-jdbc-releaseNotes: https://github.com/xerial/sqlite-jdbc/releases/tag/3.45.3.0
    url-sqlite-jdbc-site: https://github.com/xerial/sqlite-jdbc
    url-testcontainers-releaseNotes: https://github.com/testcontainers/testcontainers-java/releases/tag/1.19.7
    url-testcontainers-site: https://java.testcontainers.org
    url-thymeleaf-releaseNotes: https://github.com/thymeleaf/thymeleaf/releases/tag/thymeleaf-3.1.2.RELEASE
    url-thymeleaf-site: https://www.thymeleaf.org/
    url-tomcat-docs: https://tomcat.apache.org/tomcat-10.1-doc
    url-tomcat-site: https://tomcat.apache.org
    url-xmlunit2-releaseNotes: https://github.com/xmlunit/xmlunit/releases/tag/v2.9.1
    url-xmlunit2-site: https://github.com/xmlunit/xmlunit
    url-yasson-releaseNotes: https://github.com/eclipse-ee4j/yasson/releases/tag/3.0.3
    url-yasson-site: https://github.com/eclipse-ee4j/yasson
    include-java: ROOT:example$java/org/springframework/boot/docs
    include-kotlin: ROOT:example$kotlin/org/springframework/boot/docs
    url-ant-docs: https://ant.apache.org/manual
    url-buildpacks-docs: https://buildpacks.io/docs
    url-dynatrace-docs: https://docs.dynatrace.com/docs
    url-dynatrace-docs-shortlink: '{url-dynatrace-docs}/shortlink'
    url-github-raw: https://raw.githubusercontent.com/{github-repo}/{github-ref}
    url-github-issues: https://github.com/{github-repo}/issues
    url-github-wiki: https://github.com/{github-repo}/wiki
    url-github: https://github.com/{github-repo}
    url-graal-docs: https://www.graalvm.org/{version-graal}/reference-manual
    url-graal-docs-native-image: '{url-graal-docs}/native-image'
    url-gradle-docs: https://docs.gradle.org/current/userguide
    url-gradle-docs-application-plugin: '{url-gradle-docs}/application_plugin.html'
    url-gradle-docs-groovy-plugin: '{url-gradle-docs}/groovy_plugin.html'
    url-gradle-docs-java-plugin: '{url-gradle-docs}/java_plugin.html'
    url-gradle-docs-war-plugin: '{url-gradle-docs}/war_plugin.html'
    url-gradle-dsl: https://docs.gradle.org/current/dsl
    url-gradle-javadoc: https://docs.gradle.org/current/javadoc
    url-kotlin-docs-kotlin-plugin: '{url-kotlin-docs}/using-gradle.html'
    url-micrometer-docs-concepts: '{url-micrometer-docs}/concepts'
    url-micrometer-docs-implementations: '{url-micrometer-docs}/implementations'
    url-download-liberica-nik: https://bell-sw.com/pages/downloads/native-image-kit/#/nik-22-17
    url-native-build-tools-docs: https://graalvm.github.io/native-build-tools/{version-native-build-tools}
    url-native-build-tools-docs-gradle-plugin: '{url-native-build-tools-docs}/gradle-plugin.html'
    url-native-build-tools-docs-maven-plugin: '{url-native-build-tools-docs}/maven-plugin.html'
    url-paketo-docs: https://paketo.io/docs
    url-paketo-docs-java-buildpack: '{url-paketo-docs}/buildpacks/language-family-buildpacks/java'
    url-spring-boot-for-apache-geode-docs: https://docs.spring.io/spring-boot-data-geode-build/2.0.x/reference/html5
    url-spring-boot-for-apache-geode-site: https://github.com/spring-projects/spring-boot-data-geode
    url-spring-data-cassandra-site: https://spring.io/projects/spring-data-cassandra
    url-spring-data-commons-javadoc: https://docs.spring.io/spring-data/commons/docs/{version-spring-data-commons}/api
    url-spring-data-couchbase-docs: https://docs.spring.io/spring-data/couchbase/reference/{version-spring-data-couchbase}
    url-spring-data-couchbase-site: https://spring.io/projects/spring-data-couchbase
    url-spring-data-elasticsearch-docs: https://docs.spring.io/spring-data/elasticsearch/reference/{version-spring-data-elasticsearch}
    url-spring-data-elasticsearch-site: https://spring.io/projects/spring-data-elasticsearch
    url-spring-data-envers-site: https://spring.io/projects/spring-data-envers
    url-spring-data-gemfire-site: https://spring.io/projects/spring-data-gemfire
    url-spring-data-geode-site: https://spring.io/projects/spring-data-geode
    url-spring-data-jdbc-docs: https://docs.spring.io/spring-data/relational/reference/{version-spring-data-jdbc}
    url-spring-data-jpa-javadoc: https://docs.spring.io/spring-data/jpa/docs/{version-spring-data-jpa}/api
    url-spring-data-jpa-site: https://spring.io/projects/spring-jpa
    url-spring-data-jpa-docs: https://docs.spring.io/spring-data/jpa/reference/{version-spring-data-jpa}
    url-spring-data-ldap-site: https://spring.io/projects/spring-data-ldap
    url-spring-data-mongodb-javadoc: https://docs.spring.io/spring-data/mongodb/docs/{version-spring-data-mongodb}/api
    url-spring-data-mongodb-site: https://spring.io/projects/spring-data-mongodb
    url-spring-data-mongodb-docs: https://docs.spring.io/spring-data/mongodb/reference/{version-spring-data-mongodb}
    url-spring-data-neo4j-docs: https://docs.spring.io/spring-data/neo4j/reference/{version-spring-data-neo4j}
    url-spring-data-neo4j-site: https://spring.io/projects/spring-data-neo4j
    url-spring-data-r2dbc-javadoc: https://docs.spring.io/spring-data/r2dbc/docs/{version-spring-data-r2dbc}/api
    url-spring-data-r2dbc-docs: https://docs.spring.io/spring-data/relational/reference/{version-spring-data-r2dbc}
    url-spring-data-redis-site: https://spring.io/projects/spring-data-redis
    url-spring-data-rest-javadoc: https://docs.spring.io/spring-data/rest/docs/{version-spring-data-rest}/api
    apiref-gradle-plugin-boot-build-image: xref:gradle-plugin:api/java/org/springframework/boot/gradle/tasks/bundling/BootBuildImage.html
    apiref-gradle-plugin-boot-jar: xref:gradle-plugin:api/java/org/springframework/boot/gradle/tasks/bundling/BootJar.html
    apiref-gradle-plugin-boot-run: xref:gradle-plugin:api/java/org/springframework/boot/gradle/tasks/run/BootRun.html
    apiref-gradle-plugin-boot-war: xref:gradle-plugin:api/java/org/springframework/boot/gradle/tasks/bundling/BootWar.html
    apiref-gradle-plugin-boot-build-info: xref:gradle-plugin:api/java/org/springframework/boot/gradle/tasks/buildinfo/BuildInfo.html
    apiref-openjdk: https://docs.oracle.com/en/java/javase/17/docs/api
    code-spring-boot: https://github.com/{github-repo}/tree/{github-ref}
    code-spring-boot-autoconfigure-src: '{code-spring-boot}/spring-boot-project/spring-boot-autoconfigure/src/main/java/org/springframework/boot/autoconfigure'
    code-spring-boot-latest: https://github.com/{github-repo}/tree/main
